<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Roadflare.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dfb/_roadflare_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">Roadflare.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/dfb/_roadflare_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dcf/class_roadflare.html">Roadflare</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:abc38f3b3ca9e47412c724f84ef07c961"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961">RoadflareBurningState</a> { <br />
&#160;&#160;<a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961af181ffa8db2f2f885ed39732d2458538">NOT_BURNING</a>
, <a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961a97d8f380fc479be20df768725fb843c7">INITIAL_BURN</a>
, <a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961a77d8a34f349b336116ded01ce58fb161">MAIN_BURN</a>
, <a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961a82bd1f17776e0c03dce4adc84f4edfc4">FINAL_BURN</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961a437a7467137fd7f9ee21529b2aaa00c9">SMOKE_ONLY</a>
<br />
 }</td></tr>
<tr class="separator:abc38f3b3ca9e47412c724f84ef07c961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769cc26bf4a1142094184ca3e4456051"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfb/_roadflare_8c.html#a769cc26bf4a1142094184ca3e4456051">RoadflareModelStates</a> { <a class="el" href="../../d5/dfb/_roadflare_8c.html#a769cc26bf4a1142094184ca3e4456051a88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a>
, <a class="el" href="../../d5/dfb/_roadflare_8c.html#a769cc26bf4a1142094184ca3e4456051aa228eca6292d24158a17d247092aa2b5">UNCAPPED_UNIGNITED</a>
, <a class="el" href="../../d5/dfb/_roadflare_8c.html#a769cc26bf4a1142094184ca3e4456051aee0e73edb81ca34acda7c8593fba2f5c">UNCAPPED_IGNITED</a>
, <a class="el" href="../../d5/dfb/_roadflare_8c.html#a769cc26bf4a1142094184ca3e4456051acfbe75704616d018c4d541aeac6d569e">UNCAPPED_BURNED_OUT</a>
 }</td></tr>
<tr class="separator:a769cc26bf4a1142094184ca3e4456051"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="abc38f3b3ca9e47412c724f84ef07c961" name="abc38f3b3ca9e47412c724f84ef07c961"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc38f3b3ca9e47412c724f84ef07c961">&#9670;&#160;</a></span>RoadflareBurningState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/dfb/_roadflare_8c.html#abc38f3b3ca9e47412c724f84ef07c961">RoadflareBurningState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="abc38f3b3ca9e47412c724f84ef07c961af181ffa8db2f2f885ed39732d2458538" name="abc38f3b3ca9e47412c724f84ef07c961af181ffa8db2f2f885ed39732d2458538"></a>NOT_BURNING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="abc38f3b3ca9e47412c724f84ef07c961a97d8f380fc479be20df768725fb843c7" name="abc38f3b3ca9e47412c724f84ef07c961a97d8f380fc479be20df768725fb843c7"></a>INITIAL_BURN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="abc38f3b3ca9e47412c724f84ef07c961a77d8a34f349b336116ded01ce58fb161" name="abc38f3b3ca9e47412c724f84ef07c961a77d8a34f349b336116ded01ce58fb161"></a>MAIN_BURN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="abc38f3b3ca9e47412c724f84ef07c961a82bd1f17776e0c03dce4adc84f4edfc4" name="abc38f3b3ca9e47412c724f84ef07c961a82bd1f17776e0c03dce4adc84f4edfc4"></a>FINAL_BURN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="abc38f3b3ca9e47412c724f84ef07c961a437a7467137fd7f9ee21529b2aaa00c9" name="abc38f3b3ca9e47412c724f84ef07c961a437a7467137fd7f9ee21529b2aaa00c9"></a>SMOKE_ONLY&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00007">7</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
<a id="a769cc26bf4a1142094184ca3e4456051" name="a769cc26bf4a1142094184ca3e4456051"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a769cc26bf4a1142094184ca3e4456051">&#9670;&#160;</a></span>RoadflareModelStates</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/dfb/_roadflare_8c.html#a769cc26bf4a1142094184ca3e4456051">RoadflareModelStates</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a769cc26bf4a1142094184ca3e4456051a88ec7d5086d2469ba843c7fcceade8a6" name="a769cc26bf4a1142094184ca3e4456051a88ec7d5086d2469ba843c7fcceade8a6"></a>DEFAULT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a769cc26bf4a1142094184ca3e4456051aa228eca6292d24158a17d247092aa2b5" name="a769cc26bf4a1142094184ca3e4456051aa228eca6292d24158a17d247092aa2b5"></a>UNCAPPED_UNIGNITED&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a769cc26bf4a1142094184ca3e4456051aee0e73edb81ca34acda7c8593fba2f5c" name="a769cc26bf4a1142094184ca3e4456051aee0e73edb81ca34acda7c8593fba2f5c"></a>UNCAPPED_IGNITED&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a769cc26bf4a1142094184ca3e4456051acfbe75704616d018c4d541aeac6d569e" name="a769cc26bf4a1142094184ca3e4456051acfbe75704616d018c4d541aeac6d569e"></a>UNCAPPED_BURNED_OUT&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_roadflare_8c_source.html#l00016">16</a> of file <a class="el" href="../../d5/dfb/_roadflare_8c_source.html">Roadflare.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d5/dfb/_roadflare_8c.html">Roadflare.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
